---
title: List resource types
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

# List resource types{% #list-resource-types %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scim/ResourceTypes |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scim/ResourceTypes |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scim/ResourceTypes      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scim/ResourceTypes      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scim/ResourceTypes  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scim/ResourceTypes     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scim/ResourceTypes |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes |

### Overview

List the SCIM resource types supported by this service provider. See [RFC 7644 Section 4](https://tools.ietf.org/html/rfc7644#section-4) for more information. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List resource types response object.

| Parent field | Field        | Type     | Description                                                                       |
| ------------ | ------------ | -------- | --------------------------------------------------------------------------------- |
|              | Resources    | [object] | List of resource types supported by this SCIM service provider.                   |
| Resources    | description  | string   | Human-readable description of the resource type.                                  |
| Resources    | endpoint     | string   | HTTP-addressable endpoint relative to the base URL where the resource is located. |
| Resources    | id           | string   | The resource type's server unique id.                                             |
| Resources    | meta         | object   | Metadata associated with a resource type.                                         |
| meta         | location     | string   | URL identifying the resource type.                                                |
| meta         | resourceType | string   | Type of resource.                                                                 |
| Resources    | name         | string   | The resource type name.                                                           |
| Resources    | schema       | string   | The resource type's primary or base SCIM schema URI.                              |
| Resources    | schemas      | [string] | A list of SCIM schema URI identifying the protocol or schema used in this object. |
|              | itemsPerPage | int64    | Number of resource types returned per page.                                       |
|              | schemas      | [string] | List response JSON Schemas.                                                       |
|              | startIndex   | int64    | Starting index of the resource types for this page (1-indexed).                   |
|              | totalResults | int64    | Total number of resource types.                                                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "Resources": [
    {
      "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
      "endpoint": "/Groups",
      "id": "Group",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/Group",
        "resourceType": "ResourceType"
      },
      "name": "Group",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:Group",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    },
    {
      "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
      "endpoint": "/Users",
      "id": "User",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/User",
        "resourceType": "ResourceType"
      },
      "name": "User",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 2
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scim/ResourceTypes" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
